<?php

require_once(__DIR__ . "/../LFYDevice.php");

class LFYGroup extends LFYDevice {

  public function Create() {
    parent::Create();
    IPS_LogMessage(get_class($this), __FUNCTION__.' - InstanceID: '.$this->InstanceID.', ModuleName: '.IPS_GetInstance($this->InstanceID)['ModuleInfo']['ModuleName'].', Class: '.get_class($this).', ParentClass: '.get_parent_class($this));
    $this->RegisterPropertyInteger("GroupId", 0);
    $this->RegisterPropertyInteger("LightFeatures", 0); // a combination of 1-onOff, 2-Level, 4-Color, 8-Temperatur
  }

  protected function BasePath() {
    $id = $this->ReadPropertyInteger("GroupId");
    return "/groups/$id";
  }

}
