<?php

require_once(__DIR__ . "/../LFYDevice.php");

class LFYLight extends LFYDevice {

  public function Create() {
    parent::Create();
 
    IPS_LogMessage(get_class($this), __FUNCTION__.' - InstanceID: '.$this->InstanceID.', ModuleName: '.IPS_GetInstance($this->InstanceID)['ModuleInfo']['ModuleName'].', Class: '.get_class($this).', ParentClass: '.get_parent_class($this));

    $this->RegisterPropertyString("UniqueId", "");
    $this->RegisterPropertyInteger("LightId", 0);
    $this->RegisterPropertyString("Type", "");
    $this->RegisterPropertyInteger("LightFeatures", 0); // a combination of 1-onOff, 2-Level, 4-Color, 8-Temperatur
    $this->RegisterPropertyString("ModelName", "");
    $this->RegisterPropertyString("Manufacturer", "");
    $this->RegisterPropertyString("FirmwareVersion", "");
  }

  protected function BasePath() {
    $id = $this->ReadPropertyInteger("LightId");
    return "devices/$id";
  }

}
